<?php

namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Response\Message;
use Teknisa\FIN\Modules\MovimentacaoBancaria\Services\SaveGeralBcoParamgeral AS SaveGeralBcoParamgeralService;
use Zeedhi\Framework\DTO\Response\Error;


class SaveGeralBcoParamgeral {

    protected $saveGeralBcoParamgeralService;

    public function __construct(SaveGeralBcoParamgeralService $saveGeralBcoParamgeralService){
        $this->saveGeralBcoParamgeralService = $saveGeralBcoParamgeralService;
    }

    /*public function doubleSave(DTO\Request $request, DTO\Response $response) {
        try {
            $dataSet = $request->getDataSet();
            $rows = $dataSet->getRows();
            $paramgeral = array($rows[0]);
            $geralbco = array($rows[1]);
            $geralfcx = array($rows[2]);
            $method = $request->getMethod();
            $routePath = $request->getRoutePath();
            $userId = $request->getUserId();
            //$this->saveGeralBcoParamgeralService->doubleSave($paramgeral, 'paramgeral', $geralbco, 'geral_bco', $geralfcx, 'geral_fcx', $method, $routePath, $userId);
            $this->saveGeralBcoParamgeralService->saveParametrosControleBancario($paramgeral, $geralbco, $geralfcx);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }*/
    public function doubleSave(DTO\Request $request, DTO\Response $response) {
        try {
            $dataSet = $request->getDataSet();
            $rows = $dataSet->getRows();
            $paramgeral = $rows[0];
            $geralbco = $rows[1];
            $geralfcx = $rows[2];
            $method = $request->getMethod();
            $routePath = $request->getRoutePath();
            $userId = $request->getUserId();
            //$this->saveGeralBcoParamgeralService->doubleSave($paramgeral, 'paramgeral', $geralbco, 'geral_bco', $geralfcx, 'geral_fcx', $method, $routePath, $userId);
            $this->saveGeralBcoParamgeralService->saveParametrosControleBancario($paramgeral, $geralbco, $geralfcx);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }

    public function validaGeralBcoPopulada(DTO\Request $request, DTO\Response $response){
        try {
            $this->saveGeralBcoParamgeralService->validaGeralBcoPopulada();
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}
